Difference between revisions of "Draft OCA"

From FreeCAD Documentation
Jump to navigation Jump to search
(Removed preferences. Pointed to dedicated page instead.)
Line 38: Line 38:
  
 
== Preferences == <!--T:5-->
 
== Preferences == <!--T:5-->
The following parameters can be specified in the [[Draft Preferences]] tab, {{MenuCommand|Edit → Preferences → Draft}}:
+
 
* Import closed areas or not
+
For more information see: [[Import_Export_Preferences|Import Export Preferences]].
  
 
== Scripting == <!--T:10-->
 
== Scripting == <!--T:10-->

Revision as of 19:50, 2 March 2020

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎svenska • ‎čeština • ‎русский

Draft OCA

Menu location
File → Export → Open CAD format (*.oca)
Workbenches
Draft
Default shortcut
Ctrl+E
Introduced in version
-
See also
Draft SVG, Draft DXF

Description

This function imports OCA/GCAD files. The OCA file format is community effort to create a free, simple and open CAD file format.

OCA is largely based on the GCAD file format generated from gCAD3D. Both formats can be imported in FreeCAD, and the OCA files exported by FreeCAD can be opened in gCAD3D.

Opening

The following OCA objects get imported at the moment:

  • Lines
  • Arcs and Circles
  • Closed areas

Importing

Works the same way as opening but places the objects in the active document instead of creating a new one.

Exporting

Objects that can be exported at the moment:

  • Lines and wires (polylines)
  • Arcs and circles
  • Faces

Preferences

For more information see: Import Export Preferences.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

You can export elements to OCA by using the following function:

importOCA.export(exportList, filename)

Example:

import FreeCAD, Draft, importOCA

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2200, 1500, 0)
p4 = FreeCAD.Vector(2500, -100, 0)

obj1 = Draft.makeWire([p1, p2, p3, p4])
obj2 = Draft.makeWire([p1, -2.3*p2, -0.8*p3, -1.8*p4])

objects = [obj1, obj2]

importOCA.export(objects, "/home/user/Pictures/myfile.oca")